com.gu.jsoup

# And

###
Related Doc: package jsoup

#### case class And(left: ElementSelector, right: ElementSelector) extends ElementSelector with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, ElementSelector, ElementSelectorBuilders, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. And
2. Serializable
3. Serializable
4. Product
5. Equals
6. ElementSelector
7. ElementSelectorBuilders
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new And(left: ElementSelector, right: ElementSelector)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def &&(right: ElementSelector): ElementSelector

   Definition Classes
     ElementSelector

4. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

5. #### def and(right: ElementSelector): ElementSelector

   Definition Classes
     ElementSelector

6. #### final def apply(elem: Element): Elements

   Definition Classes
     ElementSelector

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def fold[A](select: ((Element) ⇒ Elements, Option[String]) ⇒ A, and: (A, A) ⇒ A, or: (A, A) ⇒ A): A

    Definition Classes
      ElementSelector

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### val left: ElementSelector

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def or(right: ElementSelector): ElementSelector

    Definition Classes
      ElementSelector

19. #### val right: ElementSelector

20. #### def self: ElementSelector

    Attributes
      protected
    Definition Classes
      ElementSelector → ElementSelectorBuilders

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### final def toString(): String

    Definition Classes
      ElementSelector → AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### def withAttr(key: String): ElementSelector

    Definition Classes
      ElementSelectorBuilders

27. #### def withAttrValue(key: String, value: String): ElementSelector

    Definition Classes
      ElementSelectorBuilders

28. #### def withAttrValueMatching(key: String, pattern: String): ElementSelector

    Definition Classes
      ElementSelectorBuilders

29. #### def withClass(cls: String): ElementSelector

    Definition Classes
      ElementSelectorBuilders

30. #### def withName(name: String): ElementSelector

    Definition Classes
      ElementSelectorBuilders

31. #### def withSrc(value: String): ElementSelector

    Definition Classes
      ElementSelectorBuilders

32. #### def withSrcMatching(pattern: String): ElementSelector

    Definition Classes
      ElementSelectorBuilders

33. #### def withValue(value: String): ElementSelector

    Definition Classes
      ElementSelectorBuilders

34. #### def ||(right: ElementSelector): ElementSelector

    Definition Classes
      ElementSelector

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ElementSelector

### Inherited from ElementSelectorBuilders

### Inherited from AnyRef

### Inherited from Any

### Ungrouped